## syslinux 6.03+dfsg

=== efi/Makefile ===
## -----------------------------------------------------------------------
##
##   Copyright 2011 Intel Corporation; author: Matt Fleming
##
##   This program is free software; you can redistribute it and/or modify
##   it under the terms of the GNU General Public License as published by
##   the Free Software Foundation, Inc., 53 Temple Place Ste 330,
##   Boston MA 02111-1307, USA; either version 2 of the License, or
##   (at your option) any later version; incorporated herein by reference.
##
## -----------------------------------------------------------------------

VPATH = $(SRC)
include $(MAKEDIR)/lib.mk
include $(MAKEDIR)/efi.mk

# Upstream gnu-efi has old-style function definitions.
CFLAGS += -Wno-strict-prototypes

CORE_CSRC := $(wildcard $(core)/*.c $(core)/*/*.c $(core)/*/*/*.c)
CORE_COBJ := $(subst $(core),$(OBJ)/../core/,$(patsubst %.c,%.o,$(CORE_CSRC)))

# We don't want to include any of the networking stack or the thread
# code since it will be implemented completely differently for EFI.
FILTERED_OBJS:= $(subst $(core),$(OBJ)/../core/,$(patsubst %.c,%.o, \
	$(wildcard $(core)/legacynet/*.c) \
	$(wildcard $(core)/fs/pxe/*.c) \
	$(wildcard $(core)/thread/*.c)))

# Don't include unit tests
FILTERED_OBJS += $(subst $(core),$(OBJ)/../core/, \
	$(patsubst %.c,%.o,$(shell find $(core) -path "*/tests/*.c" -print)))

# Don't include console objects
CORE_OBJS = $(filter-out %hello.o %rawcon.o %plaincon.o %strcasecmp.o %bios.o \
	%diskio_bios.o %ldlinux-c.o %isolinux-c.o %pxelinux-c.o \
	%localboot.o %pxeboot.o \
	$(FILTERED_OBJS),$(CORE_COBJ) $(CORE_SOBJ))

CORE_OBJS += $(addprefix $(OBJ)/../core/, \
	fs/pxe/pxe.o fs/pxe/tftp.o fs/pxe/urlparse.o fs/pxe/dhcp_option.o \
	fs/pxe/ftp.o fs/pxe/ftp_readdir.o fs/pxe/http.o fs/pxe/http_readdir.o)

LIB_OBJS = $(addprefix $(objdir)/com32/lib/,$(CORELIBOBJS)) \
	$(LIBEFI)

CSRC = $(wildcard $(SRC)/*.c)
OBJS = $(subst $(SRC)/,,$(filter-out %wrapper.o, $(patsubst %.c,%.o,$(CSRC))))

OBJS += $(objdir)/core/codepage.o $(ARCH)/linux.o

# The DATE is set on the make command line when building binaries for
# official release.  Otherwise, substitute a hex string that is pretty much
# guaranteed to be unique to be unique from build to build.
ifndef HEXDATE
HEXDATE := $(shell $(PERL) $(SRC)/../now.pl $(SRCS))
endif
ifndef DATE
DATE    := $(shell sh $(SRC)/../gen-id.sh $(VERSION) $(HEXDATE))
endif
CFLAGS		+= -DDATE_STR='"$(DATE)"'

.PHONY: subdirs
subdirs:
	mkdir -p $(ARCH)

$(OBJS): subdirs

# The targets to build in this directory
BTARGET  = syslinux.efi

syslinux.so: $(OBJS) $(CORE_OBJS) $(LIB_OBJS)
	$(LD) $(LDFLAGS) --strip-debug -o $@ $^ -lgnuefi -lefi

# We need to rename the .hash section because the EFI firmware
# linker really doesn't like it.
# $(OBJCOPY) --rename-section .gnu.hash=.sdata,load,data,alloc $^ $@
#syslinux.so: syslinux1.so
#	cp $^ $@

wrapper: wrapper.c
	$(CC) $^ -o $@

#
# Build the wrapper app and wrap our .so to produce a .efi
syslinux.efi: syslinux.so wrapper
	$(OBJ)/wrapper syslinux.so $@

all: $(BTARGET)

codepage.o: ../codepage/cp865.cp
	cp $(objdir)/../codepage/cp865.cp codepage.cp
	$(CC) $(SFLAGS) -c -o $@ $(core)/codepage.S

install:
	install -m 755 $(BTARGET) $(INSTALLROOT)$(AUXDIR)

strip:

tidy dist:
	rm -f *.so *.o wrapper
	find . \( -name \*.o -o -name \*.a -o -name .\*.d -o -name \*.tmp \) -print0 | \
		xargs -0r rm -f
	$(topdir)/efi/clean-gnu-efi.sh $(EFI_SUBARCH) $(objdir)

clean: tidy

spotless: clean
	rm -f $(BTARGET)

=== extlinux/Makefile ===
## -----------------------------------------------------------------------
##
##   Copyright 2001-2008 H. Peter Anvin - All Rights Reserved
##
##   This program is free software; you can redistribute it and/or modify
##   it under the terms of the GNU General Public License as published by
##   the Free Software Foundation, Inc., 53 Temple Place Ste 330,
##   Boston MA 02111-1307, USA; either version 2 of the License, or
##   (at your option) any later version; incorporated herein by reference.
##
## -----------------------------------------------------------------------

##
## Linux vfat, ntfs, ext2/ext3/ext4 and btrfs installer
##

include $(MAKEDIR)/syslinux.mk

OPTFLAGS = -g -Os
INCLUDES = -I$(SRC) -I$(objdir) -I$(SRC)/../libinstaller
CFLAGS	 = $(GCCWARN) -Wno-sign-compare -D_FILE_OFFSET_BITS=64 \
	   $(OPTFLAGS) $(INCLUDES)
LDFLAGS	 = 

SRCS     = main.c \
	   mountinfo.c \
	   ../libinstaller/syslxmod.c \
	   ../libinstaller/syslxopt.c \
	   ../libinstaller/syslxcom.c \
	   ../libinstaller/setadv.c \
	   ../libinstaller/advio.c \
	   ../libinstaller/bootsect_bin.c \
	   ../libinstaller/ldlinuxc32_bin.c \
	   ../libinstaller/ldlinux_bin.c
OBJS	 = $(patsubst %.c,%.o,$(notdir $(SRCS)))

.SUFFIXES: .c .o .i .s .S

VPATH = $(SRC):$(SRC)/../libinstaller:$(OBJ)/../libinstaller

all: installer

tidy dist:
	-rm -f *.o *.i *.s *.a .*.d *.tmp

clean: tidy
	-rm -f extlinux

spotless: clean
	-rm -f *~

installer: extlinux

extlinux: $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $^

strip:
	$(STRIP) extlinux

%.o: %.c
	$(CC) $(UMAKEDEPS) $(CFLAGS) -c -o $@ $<
%.i: %.c
	$(CC) $(UMAKEDEPS) $(CFLAGS) -E -o $@ $<
%.s: %.c
	$(CC) $(UMAKEDEPS) $(CFLAGS) -S -o $@ $<

-include .*.d

=== com32/lib/Makefile ===
#
# ONLY INCLUDE MIT OR 2/3-BSD-LICENSED CODE IN THIS LIBRARY
#

# Include configuration rules
NOGPL := 1
VPATH = $(SRC)
include $(MAKEDIR)/lib.mk

## OPTIONAL OBJECTS, AVAILABLE AS DYNAMIC LINKED MODULES
# PNG library object files
LIBPNG_OBJS = \
	libpng/png.o libpng/pngset.o libpng/pngget.o libpng/pngrutil.o  \
	libpng/pngtrans.o libpng/pngwutil.o libpng/pngread.o		\
	libpng/pngrio.o libpng/pngwio.o libpng/pngwrite.o		\
	libpng/pngrtran.o libpng/pngwtran.o libpng/pngmem.o		\
	libpng/pngerror.o libpng/pngpread.o

# JPG library object files
LIBJPG_OBJS = \
	jpeg/tinyjpeg.o jpeg/jidctflt.o	jpeg/decode1.o jpeg/decode3.o   \
	jpeg/rgb24.o jpeg/bgr24.o jpeg/yuv420p.o jpeg/grey.o		\
	jpeg/rgba32.o jpeg/bgra32.o					

ifdef EFI_BUILD
I915VESA_OBJ =
else
I915VESA_OBJ = sys/vesa/i915resolution.o
endif

LIBVESA_OBJS = \
	sys/vesacon_write.o sys/vesaserial_write.o			\
	sys/vesa/initvesa.o sys/vesa/drawtxt.o	sys/vesa/background.o	\
	sys/vesa/alphatbl.o sys/vesa/screencpy.o sys/vesa/fmtpixel.o	\
	$(I915VESA_OBJ)

LIBMISC_OBJS = \
	sys/libansi.o sys/gpxe.o

LIBPCI_OBJS = \
	pci/cfgtype.o pci/scan.o pci/bios.o				\
	pci/readb.o pci/readw.o pci/readl.o				\
	pci/writeb.o pci/writew.o pci/writel.o

LIBSYSLINUX_OBJS = \
	syslinux/reboot.o syslinux/keyboard.o				\
	syslinux/version.o						\
	syslinux/pxe_get_cached.o syslinux/pxe_get_nic.o		\
	syslinux/pxe_dns.o						\
	syslinux/video/fontquery.o syslinux/video/reportmode.o

DYNENTRY_OBJS = \
	atexit.o onexit.o abort.o

MINLIBOBJS = \
	syslinux/ipappend.o \
	syslinux/dsinfo.o \
	$(LIBOTHER_OBJS) \
	$(LIBGCC_OBJS) \
	$(LIBCONSOLE_OBJS) \
	$(LIBLOAD_OBJS) \
	$(LIBZLIB_OBJS)
#	$(LIBVESA_OBJS)

DYNLIBOBJS = \
	$(LIBZLIB_OBJS) \
	$(LIBPNG_OBJS) \
	$(LIBJPG_OBJS) \
	$(LIBPCI_OBJS) \
	$(LIBVESA_OBJS) \
	$(LIBSYSLINUX_OBJS) \
	$(LIBLOAD_OBJS) \
	$(LIBMISC_OBJS) \
	$(DYNENTRY_OBJS)


LIBOBJS = $(DYNLIBOBJS)

BINDIR   = /usr/bin
LIBDIR   = /usr/lib
DATADIR  = /usr/share
AUXDIR   = $(DATADIR)/syslinux
INCDIR   = /usr/include
COM32DIR = $(AUXDIR)/com32

all: makeoutputdirs libcom32.c32 libcom32min.a libcom32core.a

makeoutputdirs:
	@mkdir -p $(foreach b, \
		$(addprefix $(OBJ)/,$(sort $(dir $(LIBOBJS) $(MINLIBOBJS) $(CORELIBOBJS)))),$(b))

libcom32.elf : $(LIBOBJS)
	rm -f $@
	$(LD) -shared $(LDFLAGS) -soname $(patsubst %.elf,%.c32,$(@F)) -o $@ $^

libcom32min.a : $(MINLIBOBJS)
	rm -f $@
	$(AR) cq $@ $^
	$(RANLIB) $@

libcom32core.a : $(CORELIBOBJS)
	rm -f $@
	$(AR) cq $@ $^
	$(RANLIB) $@

tidy dist clean:
	rm -f sys/vesa/alphatbl.c errlist.c
	find . \( -name \*.o -o -name \*.a -o -name .\*.d -o -name \*.tmp \) -print0 | \
		xargs -0r rm -f

spotless: clean
	rm -f *.a *.c32
	rm -f *~ \#* */*~ */\#*

install: all
	mkdir -m 755 -p $(INSTALLROOT)$(COM32DIR)
	install -m 644 $(SRC)/com32.ld $(INSTALLROOT)$(COM32DIR)
	-rm -rf $(INSTALLROOT)$(COM32DIR)/include
	cp -r $(SRC)/../include $(INSTALLROOT)$(COM32DIR)

errlist.c: makeerrlist.pl $(SRC)/../include/errno.h
	$(PERL) $<  $(CFLAGS) -errlist > $@ || rm -f $@

# These files are performance critical, and doesn't compile well with -Os
sys/vesa/drawtxt.o: sys/vesa/drawtxt.c
	$(CC) $(MAKEDEPS) $(CFLAGS) -O3 -c -o $@ $<

sys/vesa/alphatbl.c: sys/vesa/alphatbl.pl
	$(PERL) $< > $@

jpeg/jidctflt.o: jpeg/jidctflt.c
	$(CC) $(MAKEDEPS) $(CFLAGS) -O3 -c -o $@ $<

-include .*.d */.*.d */*/.*.d

=== com32/elflink/ldlinux/Makefile ===
## -----------------------------------------------------------------------
##
##   Copyright 2011-2013 Intel Corporation - All Rights Reserved
##
##   This program is free software; you can redistribute it and/or modify
##   it under the terms of the GNU General Public License as published by
##   the Free Software Foundation, Inc., 53 Temple Place Ste 330,
##   Boston MA 02111-1307, USA; either version 2 of the License, or
##   (at your option) any later version; incorporated herein by reference.
##
## -----------------------------------------------------------------------

VPATH = $(SRC)
include $(MAKEDIR)/elf.mk

CFLAGS += -I$(topdir)/core/elflink -I$(topdir)/core/include -I$(topdir)/com32/lib -fvisibility=hidden
LIBS = --whole-archive $(objdir)/com32/lib/libcom32min.a

OBJS = ldlinux.o cli.o readconfig.o refstr.o colors.o getadv.o adv.o \
	execute.o chainboot.o kernel.o get_key.o advwrite.o setadv.o \
	loadhigh.o msg.o

BTARGET = $(LDLINUX)

ifdef EFI_BUILD
%.e$(BITS): %.elf
	$(OBJCOPY) --strip-debug --strip-unneeded $< $@
SONAME = $(patsubst %.elf,%.e$(BITS),$(@F))
else
SONAME = $(patsubst %.elf,%.c32,$(@F))
endif

all: $(BTARGET) ldlinux_lnx.a

ldlinux.elf : $(OBJS)
	$(LD) $(LDFLAGS) -soname $(SONAME) -o $@ $^ $(LIBS)

LNXCFLAGS += -D__export='__attribute__((visibility("default")))'
LNXLIBOBJS = get_key.lo
ldlinux_lnx.a: $(LNXLIBOBJS)
	rm -f $@
	$(AR) cq $@ $(LNXLIBOBJS)
	$(RANLIB) $@

tidy dist:
	rm -f *.o *.lo *.a *.lst .*.d 

clean: tidy
	rm -f *.lss *.lnx *.com

spotless: clean
	rm -f *~ \#* $(BTARGET)

install: all
	mkdir -m 755 -p $(INSTALLROOT)$(AUXDIR)
	install -m 644 $(BTARGET) $(INSTALLROOT)$(AUXDIR)


-include .*.d

=== debian/changelog ===
syslinux (3:6.03+dfsg-14.1+deb9u1) stretch; urgency=medium

  * Add patch from upstream to fix btrfs logical to physical block address
    mapping (Closes: #865462).
  * Add patch from upstream to fix boot problem for old BIOS firmware from
    around 2005 by correcting the C/H/S order (thanks Thomas Schmitt,
    Closes: #879004).
  * Add patch 0018-ext4-Fix-64bit-feature.patch from upstream to support ext4
    64bit feature (Closes: #833057).

 -- Lukas Schwaighofer <lukas@schwaighofer.name>  Wed, 18 Oct 2017 18:01:45 +0200

syslinux (3:6.03+dfsg-14.1) unstable; urgency=medium

  * NMU
  * Add --no-dynamic-linker to link lines, Closes: #846679

 -- Steve McIntyre <93sam@debian.org>  Sat, 28 Jan 2017 18:39:54 +0000

syslinux (3:6.03+dfsg-14) unstable; urgency=medium

  * QA upload.
  * Add patches from upstream to fix more issues due to the gcc-5 move
    (Thanks to Ady from bringing these up!):
    + 0011: don't try to guess section alignment
    + 0012: fix input on the boot prompt are ignored.  Closes: #823459
  * Add 0013 (from upstream) to be compatible with upcoming glibc 2.23.
  * Bump Standards-Version to 3.9.8, no changes done
  * d/copyright: fix some syntax error in the machine readable copyright file.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 18 Jun 2016 12:48:49 +0000

syslinux (3:6.03+dfsg-13) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS when GCC configured with --enable-default-pie. (LP: #1579023)
  * Fix typo in short description: 9960 vs 9660. Closes: #802230

 -- Graham Inggs <ginggs@debian.org>  Fri, 20 May 2016 16:08:24 +0200

syslinux (3:6.03+dfsg-12) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * QA upload.
  * d/control: maintain the package in git, add Vcs-* fields.
  * d/rules: remove useless dh_builddep override.
  * d/source/options: remove, now dpkg defaults to that compression (xz) anyway.
  * import patch from ubuntu to fix a boot error when built with gcc5.
    Closes: #795777, LP: #1507002
  * use the default compiler instead of gcc-4.9.  Closes: #818783
  * Override source-contains-prebuilt-binary lintian tag.

  [ Reiner Herrmann ]
  * Add patch to sort object files for reproducible builds.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 27 Apr 2016 11:08:22 +0000

syslinux (3:6.03+dfsg-11) unstable; urgency=low

  * Orphaning package.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 08 Nov 2015 05:03:04 +0000

syslinux (3:6.03+dfsg-10) unstable; urgency=medium

  * Building with gcc-4.9 (Closes: #795777).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 16 Aug 2015 21:00:34 +0200

syslinux (3:6.03+dfsg-9) unstable; urgency=low

  * Adding patch from upstream to fix unbootable images in certain
    conditions, e.g. when using gcc 5 (Closes: #795596).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 15 Aug 2015 23:49:23 +0200

syslinux (3:6.03+dfsg-8) unstable; urgency=low

  * Using date from debian changelog rather than current system date as
    build id.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 12 Aug 2015 14:34:08 +0200

syslinux (3:6.03+dfsg-7) unstable; urgency=low

  * Removing pre-jessie upgrade notice.
  * Dropping pre-jessie breaks/replaces.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 25 Apr 2015 08:11:06 +0200

syslinux (3:6.03+dfsg-6) experimental; urgency=low

  * Building on x32, thanks to Adam Borowski <kilobyte@angband.pl>
    (Closes: #777075).
  * Adding patch from Scot Doyle <lkml14@scotdoyle.com> to correct a type
    in load_linux (Closes: #780765).
  * Adding patch from Scot Doyle <lkml14@scotdoyle.com> to relocate
    protected-mode code in load_linux.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 07 Apr 2015 07:24:55 +0200

syslinux (3:6.03+dfsg-5) unstable; urgency=low

  * Moving source lintian-overrides to newer location.
  * Correcting comment in Italian debonf translation file.
  * Adding initial Spanish debconf translations from Manuel 'Venturi'
    Porras Peralta <venturi@openmailbox.org> (Closes: #773600).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 07 Jan 2015 07:49:26 +0100

syslinux (3:6.03+dfsg-4) unstable; urgency=low

  * Adding initial Brazilian Portuguese debconf translations from Jos de
    Figueiredo <deb.gnulinux@gmail.com> (Closes: #771783).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 06 Dec 2014 13:16:42 +0100

syslinux (3:6.03+dfsg-3) unstable; urgency=low

  * Adding initial Italian debconf translation from Beatrice Torracca
    <beatricet@libero.it> (Closes: #768585).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 11 Nov 2014 20:05:41 +0100

syslinux (3:6.03+dfsg-2) unstable; urgency=low

  * Adding initial Danish debconf translations from Joe Hansen
    <joedalton2@yahoo.dk> (Closes: #765859).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 25 Oct 2014 17:17:53 +0200

syslinux (3:6.03+dfsg-1) unstable; urgency=low

  * Merging upstream version 6.03+dfsg.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 07 Oct 2014 09:39:28 +0200

syslinux (3:6.03~pre20+dfsg-5) unstable; urgency=low

  * Updating to standards version 3.9.6.
  * Adding initial German debconf translations from Helge Kreutzmann
    <debian@helgefjell.de> (Closes: #762373).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 29 Sep 2014 11:49:55 +0200

syslinux (3:6.03~pre20+dfsg-4) unstable; urgency=low

  * Adding initial Russian debconf translations from Yuri Kozlov
    <yuray@komyakino.ru> (Closes: #761352).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 16 Sep 2014 16:11:37 +0200

syslinux (3:6.03~pre20+dfsg-3) unstable; urgency=low

  * Rather than recommending to install a specific message in the debconf
    note, refering to GRUB as a bootloader project (Closes: #761156).
  * Adding intial French debconf translations from Steve Petruzzello
    <dlist@bluewin.ch> (Closes: #760622).
  * Adding initial Japanese debconf translation from victory
    <victory.deb@gmail.com> (Closes: #760855).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 12 Sep 2014 08:09:57 +0200



=== debian/control ===
Source: syslinux
Section: admin
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper (>= 9),
 e2fslibs-dev,
 gcc-multilib [amd64 x32],
 libc6-dev-i386 [amd64 x32],
 nasm,
 python,
 uuid-dev,
Standards-Version: 3.9.8
Homepage: http://www.syslinux.org/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/syslinux.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/syslinux.git

Package: syslinux
Architecture: amd64 i386 x32
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
  mtools,
Recommends: syslinux-common
Suggests: dosfstools
Description: collection of bootloaders (DOS FAT and NTFS bootloader)
 syslinux is a suite of bootloaders, currently supporting DOS FAT and NTFS
 filesystems (SYSLINUX), Linux ext2/ext3/ext4, btrfs, and xfs filesystems
 (EXTLINUX), PXE network boots (PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).
 .
 This package contains the bootloader for DOS FAT and NTFS filesystems
 (SYSLINUX).

Package: syslinux-efi
Architecture: all
Depends: ${misc:Depends}
Recommends: syslinux-common
Suggests: dosfstools
Description: collection of bootloaders (UEFI bootloader)
 syslinux is a suite of bootloaders, currently supporting DOS FAT and NTFS
 filesystems (SYSLINUX), Linux ext2/ext3/ext4, btrfs, and xfs filesystems
 (EXTLINUX), PXE network boots (PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).
 .
 This package contains the bootloader for the Unified Extensible Firmware
 Interface (EFI).

Package: extlinux
Architecture: amd64 i386 x32
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: syslinux-common
Description: collection of bootloaders (Linux ext2/ext3/ext4, btrfs, and xfs bootloader)
 syslinux is a suite of bootloaders, currently supporting DOS FAT and NTFS
 filesystems (SYSLINUX), Linux ext2/ext3/ext4, btrfs, and xfs filesystems
 (EXTLINUX), PXE network boots (PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).
 .
 This package contains the bootloader for Linux ext2/ext3/ext4, btrfs, and xfs
 filesystems (EXTLINUX).

Package: isolinux
Architecture: all
Depends: ${misc:Depends}
Recommends: syslinux-common
Suggests: xorriso
Description: collection of bootloaders (ISO 9660 bootloader)
 syslinux is a suite of bootloaders, currently supporting DOS FAT and NTFS
 filesystems (SYSLINUX), Linux ext2/ext3/ext4, btrfs, and xfs filesystems
 (EXTLINUX), PXE network boots (PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).
 .
 This package contains the bootloader for ISO 9660 CD-ROMs (ISOLINUX).

Package: pxelinux
Architecture: all
Depends: ${misc:Depends}
Recommends: syslinux-common
Suggests: tftpd-hpa
Description: collection of bootloaders (PXE network bootloader)
 syslinux is a suite of bootloaders, currently supporting DOS FAT and NTFS
 filesystems (SYSLINUX), Linux ext2/ext3/ext4, btrfs, and xfs filesystems
 (EXTLINUX), PXE network boots (PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).
 .
 This package contains the bootloader for PXE network boots (PXELINUX).

Package: syslinux-common
Architecture: all
Depends: ${misc:Depends}
Description: collection of bootloaders (common)
 syslinux is a suite of bootloaders, currently supporting DOS FAT and NTFS
 filesystems (SYSLINUX), Linux ext2/ext3/ext4, btrfs, and xfs filesystems
 (EXTLINUX), PXE network boots (PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).
 .
 This package contains the common files.

Package: syslinux-utils
Architecture: amd64 i386 x32
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 libcrypt-passwdmd5-perl,
 libdigest-sha-perl,
Description: collection of bootloaders (utilities)
 syslinux is a suite of bootloaders, currently supporting DOS FAT and NTFS
 filesystems (SYSLINUX), Linux ext2/ext3/ext4, btrfs, and xfs filesystems
 (EXTLINUX), PXE network boots (PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).
 .
 This package contains the auxiliary utilities.

=== debian/rules ===
#!/usr/bin/make -f

SHELL := sh -e

DATE += $(shell date -d"$(shell dpkg-parsechangelog | awk -F: '/^Date: / { print $$2 }')" +%Y%m%d)
VERSION=$(word 1,$(shell cat version))

unexport LDFLAGS

%:
	dh ${@}

dfsg:
	rm -f doc/rfc5071.txt

override_dh_auto_build:
	$(MAKE) DATE="$(DATE)" VERSION="$(VERSION)"

override_dh_auto_clean:
	$(MAKE) clean

	rm -f version.mk

	rm -f core/.depend memdisk/.depend
	rm -f com32/lib*/*.a com32/*/*.c32 core/*.0 core/*.bin core/*.bss core/*.sys dos/*.com gpxe/*.0 memdisk/memdisk memdump/*.com

override_dh_auto_install:
	$(MAKE) install INSTALLROOT=$(CURDIR)/debian/tmp

	# removing keytab-lilo, already part of the lilo package
	rm -f debian/tmp/usr/bin/keytab-lilo

	# removing ms-dos executables
	rm -f debian/tmp/usr/share/syslinux/*.com
	rm -rf debian/tmp/usr/share/syslinux/dosutil

	# removing com32 files
	rm -rf debian/tmp/usr/share/syslinux/com32

	# removing diag files
	rm -rf debian/tmp/usr/share/syslinux/diag

	# moving files for FHS compliance
	mkdir -p debian/tmp/usr/bin
	mv debian/tmp/sbin/* debian/tmp/usr/bin
	-rmdir --ignore-fail-on-non-empty debian/tmp/sbin

	mkdir -p debian/tmp/usr/lib
	mv debian/tmp/usr/share/syslinux debian/tmp/usr/lib
	-rmdir --ignore-fail-on-non-empty debian/tmp/usr/share

	mkdir -p debian/tmp/usr/share
	mv debian/tmp/usr/man debian/tmp/usr/share

	# moving syslinux mbr file location
	mkdir -p debian/tmp/usr/lib/syslinux/mbr
	mv debian/tmp/usr/lib/syslinux/*mbr*.bin debian/tmp/usr/lib/syslinux/mbr

	# moving syslinux modules file location
	mkdir -p debian/tmp/usr/lib/syslinux/modules/bios
	mv debian/tmp/usr/lib/syslinux/*.c32 debian/tmp/usr/lib/syslinux/modules/bios

	mkdir -p debian/tmp/usr/lib/syslinux/modules/efi32
	mv debian/tmp/usr/lib/syslinux/efi32/*.c32 debian/tmp/usr/lib/syslinux/modules/efi32
	mv debian/tmp/usr/lib/syslinux/efi32/*.e32 debian/tmp/usr/lib/syslinux/modules/efi32

	mkdir -p debian/tmp/usr/lib/syslinux/modules/efi64
	mv debian/tmp/usr/lib/syslinux/efi64/*.c32 debian/tmp/usr/lib/syslinux/modules/efi64
	mv debian/tmp/usr/lib/syslinux/efi64/*.e64 debian/tmp/usr/lib/syslinux/modules/efi64

	# adding documentation
	mkdir -p debian/tmp/usr/share/doc/syslinux-common
	cp -aL README debian/tmp/usr/share/doc/syslinux-common
	cp -aL doc debian/tmp/usr/share/doc/syslinux-common/txt
	cp -aL txt debian/tmp/usr/share/doc/syslinux-common/asciidoc

	rm -f debian/tmp/usr/share/doc/syslinux-common/txt/keytab-lilo.txt
	rm -f debian/tmp/usr/share/doc/syslinux-common/asciidoc/.gitignore

	mv debian/tmp/usr/share/doc/syslinux-common/txt/logo debian/tmp/usr/share/doc/syslinux-common
	rm -f debian/tmp/usr/share/doc/syslinux-common/logo/LICENSE

	# moving bootloader specific documentation
	mkdir -p debian/syslinux/usr/share/doc/syslinux
	mv debian/tmp/usr/share/doc/syslinux-common/txt/syslinux.txt debian/syslinux/usr/share/doc/syslinux/README.txt

	mkdir -p debian/extlinux/usr/share/doc/extlinux
	mv debian/tmp/usr/share/doc/syslinux-common/txt/extlinux.txt debian/extlinux/usr/share/doc/extlinux/README.txt

	mkdir -p debian/isolinux/usr/share/doc/isolinux
	mv debian/tmp/usr/share/doc/syslinux-common/txt/isolinux.txt debian/isolinux/usr/share/doc/isolinux/README.txt

	mkdir -p debian/pxelinux/usr/share/doc/pxelinux
	mv debian/tmp/usr/share/doc/syslinux-common/txt/pxelinux.txt debian/pxelinux/usr/share/doc/pxelinux/README.txt

	mkdir -p debian/syslinux-common/usr/share/doc/syslinux-common/txt
	mv debian/tmp/usr/share/doc/syslinux-common/README debian/syslinux-common/usr/share/doc/syslinux-common/README.txt
	mv debian/tmp/usr/share/doc/syslinux-common/txt/chain.txt debian/syslinux-common/usr/share/doc/syslinux-common/txt
	mv debian/tmp/usr/share/doc/syslinux-common/txt/gpt.txt debian/syslinux-common/usr/share/doc/syslinux-common/txt
	mv debian/tmp/usr/share/doc/syslinux-common/txt/mboot.txt debian/syslinux-common/usr/share/doc/syslinux-common/txt
	mv debian/tmp/usr/share/doc/syslinux-common/txt/memdisk.txt debian/syslinux-common/usr/share/doc/syslinux-common/txt
	mv debian/tmp/usr/share/doc/syslinux-common/txt/menu.txt debian/syslinux-common/usr/share/doc/syslinux-common/txt
	mv debian/tmp/usr/share/doc/syslinux-common/txt/pxechn.txt debian/syslinux-common/usr/share/doc/syslinux-common/txt
	mv debian/tmp/usr/share/doc/syslinux-common/txt/sdi.txt debian/syslinux-common/usr/share/doc/syslinux-common/txt
	mv debian/tmp/usr/share/doc/syslinux-common/txt/usbkey.txt debian/syslinux-common/usr/share/doc/syslinux-common/txt

	# moving extlinux bootloader files
	mkdir -p debian/extlinux/usr/bin
	mv debian/tmp/usr/bin/extlinux debian/extlinux/usr/bin
	mkdir -p debian/extlinux/usr/lib/EXTLINUX
	cp debian/tmp/usr/lib/syslinux/mbr/*mbr.bin debian/extlinux/usr/lib/EXTLINUX
	mkdir -p debian/extlinux/usr/share/man/man1
	mv debian/tmp/usr/share/man/man1/extlinux.1 debian/extlinux/usr/share/man/man1

	rm -f debian/tmp/usr/lib/syslinux/mbr/*_c.bin
	rm -f debian/tmp/usr/lib/syslinux/mbr/*_f.bin

	# moving isolinux bootloader files
	mkdir -p debian/isolinux/usr/lib/ISOLINUX
	mv debian/tmp/usr/lib/syslinux/isolinux.bin debian/isolinux/usr/lib/ISOLINUX
	mv debian/tmp/usr/lib/syslinux/isohd*x.bin debian/isolinux/usr/lib/ISOLINUX

	rm -f debian/tmp/usr/lib/syslinux/isolinux-debug.bin
	rm -f debian/tmp/usr/lib/syslinux/isohd*x_c.bin
	rm -f debian/tmp/usr/lib/syslinux/isohd*x_f.bin

	# moving pxelinux bootloader files
	mkdir -p debian/pxelinux/usr/lib/PXELINUX
	mv debian/tmp/usr/lib/syslinux/*pxelinux.0 debian/pxelinux/usr/lib/PXELINUX

	rm -f debian/tmp/usr/lib/syslinux/gpxelinuxk.0

	# moving syslinux-efi bootloader files
	mkdir -p debian/syslinux-efi/usr/lib/SYSLINUX.EFI/efi32
	mv debian/tmp/usr/lib/syslinux/efi32/*.efi debian/syslinux-efi/usr/lib/SYSLINUX.EFI/efi32
	rmdir debian/tmp/usr/lib/syslinux/efi32

	mkdir -p debian/syslinux-efi/usr/lib/SYSLINUX.EFI/efi64
	mv debian/tmp/usr/lib/syslinux/efi64/*.efi debian/syslinux-efi/usr/lib/SYSLINUX.EFI/efi64
	rmdir debian/tmp/usr/lib/syslinux/efi64

override_dh_auto_test:
	# disabled

override_dh_fixperms:
	dh_fixperms

	chmod 0644 debian/*/usr/lib/*/efi*/*
	chmod 0644 debian/*/usr/lib/*/modules/efi*/*

override_dh_install:
	dh_install --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS
